List Disclosures
curl --request GET \
--url https://api-sandbox.synctera.com/v0/customers/{customer_id}/disclosures \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/customers/{customer_id}/disclosures"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/customers/{customer_id}/disclosures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"disclosures": [
{
"event_type": "VIEWED",
"timestamp": "2010-05-06T12:23:34.321Z",
"type": "REG_DD",
"version": "v1.1",
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z"
}
]
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Disclosures (deprecated)
List Disclosures
deprecated
Retrieves paginated list of disclosures associated with the authorized requester
GET
/
customers
/
{customer_id}
/
disclosures
List Disclosures
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The customer's unique identifier
Example:
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Query Parameters
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
Required range:
x >= 1Example:
100
Response
List of disclosures
Represents all customer disclosures
List of the customer's disclosures
Show child attributes
Show child attributes
Was this page helpful?
⌘I

